%define url_ver %(echo %{version} | cut -d. -f1,2)

#filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\.so

Summary:	A plugin for the Xfce4 panel displaying keyboard layout
Name:		xfce4-xkb-plugin
Version:	0.8.2
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-xkb-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libwnck-3.0)

Requires:	xfce4-panel

%description
A plugin for the Xfce4 panel displaying keyboard layout.
The plugin may be used as an indicator for the current layout
and to switch layouts.

The layouts must be defined either in XF86Config, by
using setxkbmap, or in xfce4-keyboard-settings.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/xfce4/xkb/
%{_datadir}/xfce4/panel/plugins/xkb.desktop
%{_libdir}/xfce4/panel/plugins/libxkb.so


%changelog
* Fri Dec 25 2020 wally <wally> 0.8.2-1.mga8
+ Revision: 1663622
- new version 0.8.2

* Sat Oct 31 2020 wally <wally> 0.8.1-4.mga8
+ Revision: 1641015
- add upstream patch to fix build with xfce4-panel 4.15
- update URL

* Fri Feb 14 2020 umeabot <umeabot> 0.8.1-3.mga8
+ Revision: 1518663
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1301892
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 wally <wally> 0.8.1-1.mga7
+ Revision: 1162012
- new version 0.8.1
- switch to gtk3

* Tue Feb 09 2016 umeabot <umeabot> 0.7.1-2.mga6
+ Revision: 952435
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.7.1-1.mga5
+ Revision: 817413
- new version 0.7.1

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 747399
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 690642
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 523597
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.7.0-1.mga4
+ Revision: 425086
- new version 0.7.0

* Mon Jan 14 2013 umeabot <umeabot> 0.5.4.3-4.mga3
+ Revision: 386882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 12 2013 wally <wally> 0.5.4.3-3.mga3
+ Revision: 359470
- fix file list after %%_libexecdir change

* Mon May 28 2012 wally <wally> 0.5.4.3-2.mga3
+ Revision: 248740
- rebuild for new libxfce4util
- clean .spec

* Sat Jan 14 2012 wally <wally> 0.5.4.3-1.mga2
+ Revision: 196035
- new version 0.5.4.3
- fix description (Radu Cristian Fotescu)
- clean .spec
- imported package xfce4-xkb-plugin

